ProjectUni/Controllers/JobsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ProjectUni.Models;

namespace ProjectUni.Controllers
{
    public class JobsController : Controller
    {
        private PContext db = new PContext();

        // GET: Jobs
        public ActionResult Index()
        {
            var job = db.Job.Include(j => j.Cities).Include(j => j.degreearea).Include(j => j.degreelevel).Include(j => j.Industries);
            return View(job.ToList());
        }

        public ActionResult Applyby(int id)
        {
            var job = db.JobApplication.Where(j => j.JobId == id).ToList();
            return View(job);
        }

        public ActionResult ApplybyDetail(int id)
        {
            var user = db.users.Where(j => j.UserId == id).FirstOrDefault();
            return View(user);
        }

        // GET: Jobs/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Job job = db.Job.Find(id);
            if (job == null)
            {
                return HttpNotFound();
            }
            return View(job);
        }

        // GET: Jobs/Create
        public ActionResult Create()
        {
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName");
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName");
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName");
            ViewBag.IndustryId = new SelectList(db.industries, "IndustryId", "IndustryName");
            ViewBag.JobDesignation = new SelectList(db.fields, "FieldId", "FieldName");
            var ob = db.Registration.Find(Session["UserID"]);
            var cm = db.Companies.Where(c => c.Email == ob.Email).SingleOrDefault();
            ViewBag.CompanyId = cm.CompanyName;
            return View();
        }

        // POST: Jobs/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "JobId,JobTitle,JobDesignation,JobDescription,Skills,JobType,CityId,JobShift,IndustryId,CareerLevel,Experience,MinSalary,MixSalary,Gender,Positions,JobDate,ApplyBefore,MinAge,MaxAge,LevelId,DegreeId,Status,Company")] Job job)
        {
            if (ModelState.IsValid)
            {
                job.JobDate = DateTime.Now.ToString();
                db.Job.Add(job);
                db.SaveChanges();
                return RedirectToAction("JobIndex","Companies");
            }

            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", job.CityId);
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName", job.DegreeId);
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName", job.LevelId);
            ViewBag.IndustryId = new SelectList(db.industries, "IndustryId", "IndustryName", job.IndustryId);
            ViewBag.JobDesignation = new SelectList(db.fields, "FieldId", "FieldName");
            return View(job);
        }

        // GET: Jobs/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Job job = db.Job.Find(id);
            if (job == null)
            {
                return HttpNotFound();
            }
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", job.CityId);
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName", job.DegreeId);
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName", job.LevelId);
            ViewBag.IndustryId = new SelectList(db.industries, "IndustryId", "IndustryName", job.IndustryId);
            return View(job);
        }

        // POST: Jobs/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "JobId,JobTitle,JobDesignation,JobDescription,Skills,JobType,CityId,JobShift,IndustryId,CareerLevel,Experience,MinSalary,MixSalary,Gender,Positions,JobDate,ApplyBefore,MinAge,MaxAge,LevelId,DegreeId,Status,Company")] Job job)
        {
            if (ModelState.IsValid)
            {
                db.Entry(job).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("JobIndex", "companies");
            }
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", job.CityId);
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName", job.DegreeId);
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName", job.LevelId);
            ViewBag.IndustryId = new SelectList(db.industries, "IndustryId", "IndustryName", job.IndustryId);
            return View(job);
        }

        // GET: Jobs/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Job job = db.Job.Find(id);
            if (job == null)
            {
                return HttpNotFound();
            }
            return View(job);
        }

        // POST: Jobs/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Job job = db.Job.Find(id);
            db.Job.Remove(job);
            db.SaveChanges();
            return RedirectToAction("JobIndex","companies");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

ProjectUni/Views/Shared/DisplayDegree.cshtml
@model ProjectUni.Models.DegreeArea

<option value="">Select Degree Area</option>

@if(ViewBag.DegreeId != null)
{
    foreach(var item in ViewBag.DegreeId)
    {
        <option value="@item.Value">@item.Text</option>
    }
}

ProjectUni/Views/Shared/_AdminLayout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>@ViewBag.Title Community Based Skills & Capacity Building | Dashboard</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.5.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <link href="~/Content/AdminLTE.min.css" rel="stylesheet" />
    <link href="~/Content/_all-skins.min.css" rel="stylesheet" />
</head>
<body class="hold-transition skin-blue sidebar-mini">
    <div class="wrapper">
        <header class="main-header">
            <!-- Logo -->
            <a href="index2.html" class="logo">
                <!-- mini logo for sidebar mini 50x50 pixels -->
                <span class="logo-mini"><b>CBS</b> & CB</span>
                <!-- logo for regular state and mobile devices -->
                <span class="logo-lg"><b>CBS </b>& CB</span>
            </a>
            <!-- Header Navbar: style can be found in header.less -->
            <nav class="navbar navbar-static-top">

                <div class="navbar-custom-menu">
                    <ul class="nav navbar-nav">
                        @Html.Partial("_LoginPartial")
                        <!-- User Account: style can be found in dropdown.less -->
                        <li class="dropdown user user-menu">

                            <ul class="dropdown-menu">
                                <!-- User image -->
                                <li class="user-header">
                                    <img src="~/image/Admin/user2-160x160.jpg" class="img-circle" alt="User Image">

                                    <p>
                                        Rizwan - Web Developer
                                        <small>Member since Nov. 2012</small>
                                    </p>
                                </li>

                            </ul>
                        </li>
                        @*Control Sidebar Toggle Button
                            <li>
                                <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
                            </li>*@
                    </ul>
                </div>
            </nav>
        </header>




        <!-- Left side column. contains the logo and sidebar -->
        <aside class="main-sidebar">
            <!-- sidebar: style can be found in sidebar.less -->
            <section class="sidebar">
                <!-- Sidebar user panel -->
                <div class="user-panel">
                    <div class="pull-left image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle" alt="User Image">
                    </div>
                    <div class="pull-left info">
                        <p>Alexander Pierce</p>
                        <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
                    </div>
                </div>
                <!-- search form -->
                <form action="#" method="get" class="sidebar-form">
                    <div class="input-group">
                        <input type="text" name="q" class="form-control" placeholder="Search...">
                        <span class="input-group-btn">
                            <button type="submit" name="search" id="search-btn" class="btn btn-flat">
                                <i class="fa fa-search"></i>
                            </button>
                        </span>
                    </div>
                </form>
                <!-- /.search form -->
                <!-- sidebar menu: : style can be found in sidebar.less -->
                <ul class="sidebar-menu">
                    <li class="header">MAIN NAVIGATION</li>

                    <li class="treeview">
                        <a href="/Admin/Users">
                            <i class="fa fa-files-o"></i>
                            <span>Users</span>
                            @*<span class="pull-right-container">
                    <span class="label label-primary pull-right">4</span>
                </span>*@
                        </a>
                    </li>
                    <li>
                        <a href="/Admin/Companies">
                            <i class="fa fa-files-o"></i> <span>Companies</span>
                            @*<span class="pull-right-container">
                    <small class="label pull-right bg-green">new</small>
                </span>*@
                        </a>
                    </li>
                    <li>
                        <a href="/Admin/Institutes">
                            <i class="fa fa-files-o"></i> <span>Institutes</span>
                            @*<span class="pull-right-container">
                    <small class="label pull-right bg-green">new</small>
                </span>*@
                        </a>
                    </li>
                    <li>
                        <a href="/Admin/Jobs">
                            <i class="fa fa-files-o"></i> <span>Jobs</span>
                            @*<span class="pull-right-container">
                    <small class="label pull-right bg-green">new</small>
                </span>*@
                        </a>
                    </li>
                    <li class="treeview">
                        <a href="#">
                            <i class="fa fa-laptop"></i>
                            <span>Trainings</span>
                            <span class="pull-right-container">
                                <i class="fa fa-angle-left pull-right"></i>
                            </span>
                        </a>
                        <ul class="treeview-menu">
                            <li><a href="/Topics/index"><i class="fa fa-circle-o"></i> Topics</a></li>
                            <li><a href="/Notes/index"><i class="fa fa-circle-o"></i> Notes</a></li>
                            <li><a href="/Videos/index"><i class="fa fa-circle-o"></i> Videos</a></li>
                        </ul>
                    </li>
                    <li class="treeview">
                        <a href="#">
                            <i class="fa fa-laptop"></i>
                            <span>Tests</span>
                            <span class="pull-right-container">
                                <i class="fa fa-angle-left pull-right"></i>
                            </span>
                        </a>
                        <ul class="treeview-menu">
                            <li><a href="/Tests/index"><i class="fa fa-circle-o"></i>Test</a></li>
                        </ul>
                    </li>
                    <li class="treeview">
                        <a href="#">
                            <i class="fa fa-laptop"></i>
                            <span>Definition Elements</span>
                            <span class="pull-right-container">
                                <i class="fa fa-angle-left pull-right"></i>
                            </span>
                        </a>
                        <ul class="treeview-menu">
                            <li><a href="/Cities/index"><i class="fa fa-circle-o"></i> Cities</a></li>
                            <li><a href="/DegreeLevels/Index"><i class="fa fa-circle-o"></i> Degree Levels</a></li>
                            <li><a href="/DegreeAreas/index"><i class="fa fa-circle-o"></i> Degree Major/Specilization</a></li>
                            <li><a href="/Industries/index"><i class="fa fa-circle-o"></i> Industries</a></li>
                            <li><a href="/Fields/index"><i class="fa fa-circle-o"></i> Feilds</a></li>
                            <li><a href="/Courses/index"><i class="fa fa-circle-o"></i> Courses</a></li>
                        </ul>
                    </li>
                    
                </ul>
            </section>
            <!-- /.sidebar -->
        </aside>


        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Main content -->
            <section class="content">
                <!-- Small boxes (Stat box) -->
                <div class="row">
                    
                        @RenderBody()
                    
                </div>
                <!-- /.row -->
                <!-- Main row -->
                <div class="row">
                    <!-- Left col -->
                    <section class="col-lg-7 connectedSortable"></section>

                </div>
                <!-- /.row (main row) -->
            </section>
            <!-- /.content -->
        </div>



        <!-- /.content-wrapper -->


        <footer class="main-footer">
            <div class="pull-right hidden-xs">
                <b>Version</b> 2.3.8
            </div>
            <strong>Copyright &copy; @DateTime.Now.Year <a href="#">Community Based Skills & Capacity Building</a>.</strong> All rights
            reserved.
        </footer>



        <!-- /.control-sidebar -->
        <!-- Add the sidebar's background. This div must be placed
        immediately after the control sidebar -->
        <div class="control-sidebar-bg"></div>
    </div>
    <!-- ./wrapper -->
    <script src="~/Scripts/jquery-3.3.1.min.js"></script>
    <script>$.widget.bridge('uibutton', $.ui.button);</script>
    <script src="~/Scripts/bootstrap.min.js"></script>
    <script src="~/Scripts/app.min.js"></script>

</body>
</html>

ProjectUni/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Application name", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Home", "Index", "Home")</li>
                    <li>@Html.ActionLink("About", "About", "Home")</li>
                    <li>@Html.ActionLink("Contact", "Contact", "Home")</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>

ProjectUni/Views/Shared/_ProfileLayout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Community Based Skills & Capacity Building</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" />
    <link href="~/Content/Profile.css" rel="stylesheet" />
    <script src="~/Scripts/jquery-3.3.1.min.js"></script>
    <script src="~/Scripts/bootstrap.min.js"></script>
</head>
<body>

    <nav class="navbar topnav">
        <div class="container-fluid">
            <div class="navbar-header">
                <a class="navbar-brand" href="#" style="color:white;font-weight:bold;font-size:20px;">Community Based Skills & Capacity Building</a>
            </div>
            <ul class="nav navbar-nav">
                @**@
                @Html.Partial("_ProfileNevbar")
            </ul>
            <ul class="nav navbar-nav navbar-right">
                @if (Session["Login"] != null)
                {


            <li>
                @Html.ActionLink("Hello " + ((ProjectUni.Models.Registration)@Session["Login"]).Email, null)
            </li>
            <li><a href="/Registrations/LogOff"><span class="glyphicon glyphicon-log-out"></span> Logout</a></li>

                }
                else
                {
            <li><a href="/Registrations/new"><span class="glyphicon glyphicon-user"></span> Sign Up</a></li>
            <li><a href="/Registrations/Login"><span class="glyphicon glyphicon-log-in"></span> Login </a></li>
                }
            </ul>
        </div>
    </nav>

    <div class="container-fluid row-content">
        
            @RenderBody()
        
    </div>
    <!-- Footer -->
    <footer class="text-center">
        <p style="font-family:sans-serif;font-weight:bold">Community Based Skills & Capacity Building @DateTime.Now.Year &copy; All rights reserved.</p>
    </footer>

</body>
</html>

ProjectUni/Views/Shared/_ProfileNevbar.cshtml
@using ProjectUni.Models



@if (Session["Login"] != null)
{

    PContext db = new PContext();
    var email = Session["Email"].ToString();
    var user = db.users.Where(c => c.Email == email).FirstOrDefault();
    var company = db.Companies.Where(c => c.Email == email).FirstOrDefault();
    var institute = db.institute.Where(c => c.Email == email).FirstOrDefault();


    if (Session["Role"].ToString() == "Candidate")
    {
        if (user != null)
        {
            <li class="active">
                @Html.ActionLink("Profile", "Viewinfo_p", "users", new { id = user.UserId }, htmlAttributes: new { title = "Registrations" })
            </li>
        }
        else
        {
            <li class="active">
                @Html.ActionLink("Profile", "insertinfo", "users", null)
            </li>
        }

        @*<li class="dropdown">
                <a class="dropdown-toggle" data-toggle="dropdown" href="#">Page 1 <span class="caret"></span></a>
                <ul class="dropdown-menu">
                    <li><a href="#">Page 1-1</a></li>
                    <li><a href="#">Page 1-2</a></li>
                    <li><a href="#">Page 1-3</a></li>
                </ul>
            </li>*@
        <li>
            @Html.ActionLink("Training", "Topics", "users")
        </li>
        <li>
            @Html.ActionLink("Test", "TestTopic", "users", new { id = 1 }, null)
        </li>
        <li>
            @Html.ActionLink("Job", "Jobs", "users")
        </li>
        <li>
            @Html.ActionLink("Result", "Index", "results")
        </li>
        <li>
            @Html.ActionLink("Courses", "Courses", "users")
        </li>
    }



    if (Session["Role"].ToString() == "Admin")
    {
        <li class="active">
            @Html.ActionLink("Dashboard", "Index", "Admin")
        </li>

    }


    if (Session["Role"].ToString() == "Company")
    {
        <li class="active">
            @if (company != null)
            {
                @Html.ActionLink("Profile", "details", "companies", new { id = company.CompanyId }, htmlAttributes: new { title = "Registrations" })
            }
        </li>
        <li>@Html.ActionLink("Job", "jobindex", "Companies", null, htmlAttributes: new { title = "Registrations" })</li>
    }

    if (Session["Role"].ToString() == "Institute")
    {
        if (institute != null)
        {
            <li class="active">


                @Html.ActionLink("Profile", "details", "Institutes", new { id = institute.InstituteId }, htmlAttributes: new { title = "Registrations" })

            </li>
            <li>@Html.ActionLink("Course", "Courses", "Institutes", new { id = institute.InstituteId }, htmlAttributes: new { title = "Registrations" })</li>
        }
    }
}